Bug 875293 - [PATCH] Package Python bindings for LLVM and Clang
[PATCH] Package Python bindings for LLVM and Clang
Status: NEW
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Stellard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-10 02:34 EST by Scott Tsai
Modified: 2017-11-16 13:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:47:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2012-11-10 02:34:02 EST
Currently the LLVM and Clang Python bindings are not shipped by Fedora's packages.
I have a patch against the spec file to package them here:
https://gitorious.org/fedora-packages/llvm/commit/8242353bc018fcb5d11cb99598eb6672b502deb6

I also came up with a cleanup patch while working on the above:
https://gitorious.org/fedora-packages/llvm/commit/76218d6ca8a91025b0f145dc991dc8a8850c339e

Could the Fedora LLVM package maintainer take a look at these and merge them if they look OK?
Comment 1 Michel Alexandre Salim 2012-11-10 12:11:36 EST
Hi Scott,

Thanks for the patches; I'll try them out. The cleanup patch is reasonable; I'd need to take a closer look at the Python one first.

Has upstream accepted the patch? I've not seen a reply to the llvm-commits post -- is the patch also reported through their Bugzilla? In which case, it'd be great to get a bug ID as well.
Comment 2 Scott Tsai 2012-11-20 20:38:50 EST
(In reply to comment #1)
Hi Michel,

The first of my two Python patches was just committed upstream with minor modifications here: https://github.com/llvm-mirror/llvm/commit/17cfe87c390265187d16a60ff4d7687802a07bba

I've updated my Fedora packaging patches to match:
http://gitorious.org/fedora-packages/llvm/commit/1f12fc16b861fced4b2e4de159a842405ba64463

(I still haven't filed any upstream bugs ...)
Comment 3 Michel Alexandre Salim 2012-11-20 20:57:06 EST
Hi Scott,

(In reply to comment #2)
> (In reply to comment #1)
> Hi Michel,
> 
> The first of my two Python patches was just committed upstream with minor
> modifications here:
> https://github.com/llvm-mirror/llvm/commit/
> 17cfe87c390265187d16a60ff4d7687802a07bba
> 
Ah, thanks. They somehow don't think it's major enough to add it to the release_32 branch (I just checked and it's not there), so I'll just cherry-pick it manually.

> I've updated my Fedora packaging patches to match:
> http://gitorious.org/fedora-packages/llvm/commit/
> 1f12fc16b861fced4b2e4de159a842405ba64463
> 
> (I still haven't filed any upstream bugs ...)
That's probably fine if they monitor the commit list anyway. I'll probably push this into the 3.2 package I'm preparing for rawhide (F19) first, and then sync up the F18 package as well. Looks like we're bumping F17 to at least 3.1, because clang++ from 3.0 no longer works since a post-release libstdc++ bump.

Are you a Fedora package maintainer? If so, I could use the help of someone actually involved upstream to help maintain the package.
Comment 4 Scott Tsai 2012-11-20 21:42:31 EST
(In reply to comment #3)
> They somehow don't think it's major enough to add it to the
> release_32 branch (I just checked and it's not there), so I'll just cherry-pick it manually.

While cherry picking, don't forget to change "LLVM_VERSION" at the top of that patch :)

For the 3.2 branch, Anders Waldenborg committed a more minimal patch: http://lists.cs.uiuc.edu/pipermail/llvm-commits/Week-of-Mon-20121119/156574.html
The problem with that patch is that it wouldn't allow running the Python bindings' unit tests. I basically wrote the two patches to make it possible to run those tests from the "%check" section in llvm.spec.

> Are you a Fedora package maintainer? If so, I could use the help of someone
> actually involved upstream to help maintain the package.

Yes. My FAS name is "scottt". I'll go request co-maintainership in pkgdb now. I think I can be of some help with the caveat that I usually only have time to do Fedora related work in "bursts".

BTW, thanks for your work maintaining this packages in Fedora so far. I think you're doing a terrific job.
Comment 5 Fedora Admin XMLRPC Client 2013-02-27 10:11:33 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-04-03 15:11:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Adam Jackson 2013-05-07 12:43:44 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > They somehow don't think it's major enough to add it to the
> > release_32 branch (I just checked and it's not there), so I'll just cherry-pick it manually.
> 
> While cherry picking, don't forget to change "LLVM_VERSION" at the top of
> that patch :)
> 
> For the 3.2 branch, Anders Waldenborg committed a more minimal patch:
> http://lists.cs.uiuc.edu/pipermail/llvm-commits/Week-of-Mon-20121119/156574.
> html
> The problem with that patch is that it wouldn't allow running the Python
> bindings' unit tests. I basically wrote the two patches to make it possible
> to run those tests from the "%check" section in llvm.spec.
> 
> > Are you a Fedora package maintainer? If so, I could use the help of someone
> > actually involved upstream to help maintain the package.
> 
> Yes. My FAS name is "scottt". I'll go request co-maintainership in pkgdb
> now. I think I can be of some help with the caveat that I usually only have
> time to do Fedora related work in "bursts".

Apologies for only now seeing this.  I've approved your acl in pkgdb.

I'm about to push a rebase to 3.3, I'd like to pick these patches up but I don't know how to test them  Can you advise?
Comment 8 Scott Tsai 2013-05-07 12:53:30 EDT
(In reply to comment #7)
> I'd like to pick these patches up but I don't know how to test them  Can you advise?

My patch to llvm.spec in comment #1 modifies the %check section of the spec file to add:

nosetests -v bindings/python
nosetests -v tools/clang/bindings/python

which runs the Python unit tests for LLVM and Clang respectively. If those tests pass during the %check phase after the patches are applied everything should be good.
Comment 9 Jan Včelák 2013-10-02 02:32:12 EDT
Any update on this request?
Comment 10 Fedora End Of Life 2015-01-09 17:01:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 08:47:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Matthew Woehlke 2017-01-24 16:20:11 EST
Fedora 25 is out and STILL no Python bindings in Fedora? Please reopen!!!
Comment 13 Matthew Woehlke 2017-01-26 10:22:49 EST
Thanks, Igor!
Comment 14 Fedora Admin XMLRPC Client 2017-05-04 09:57:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Tom Stellard 2017-08-24 23:10:22 EDT
(In reply to Matthew Woehlke from comment #12)
> Fedora 25 is out and STILL no Python bindings in Fedora? Please reopen!!!

The Python bindings for LLVM haven't seen any meaningful commits in about 3 years.  Have you tested the upstream python bindings to see if they still work?
Would something like http://llvmlite.pydata.org/en/latest/ be an acceptable alternative?
Comment 16 Fedora End Of Life 2017-11-16 13:53:39 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.